<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package fastvideo_pro
 */

?>

	<?php if ( is_page() || is_404() ) { ?>
		</div><!-- .inner-wrap -->
	<?php } ?>

	<?php dynamic_sidebar( 'footer-ad' ); ?>	

	</div><!-- #content .site-content -->

	<footer id="colophon" class="site-footer clear">

		<?php if ( ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) && get_theme_mod('footer-widgets-on', true) ) { ?>

			<div class="footer-columns clear">

				<div class="inner-wrap clear">

					<div class="footer-column footer-column-1">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>

					<div class="footer-column footer-column-2">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>

					<div class="footer-column footer-column-3">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>

					<div class="footer-column footer-column-4">
						<?php dynamic_sidebar( 'footer-4' ); ?>
					</div>												

				</div><!-- .container -->

			</div><!-- .footer-columns -->

		<?php } ?>

		<div id="site-bottom">

			<div class="inner-wrap clear">

				<div class="site-info">

					<?php if(get_theme_mod('footer-credit')) { 
						
						echo get_theme_mod('footer-credit');
						
						} else { 
							$theme_uri = 'https://www.happythemes.com/wordpress-themes/fastvideo_pro/';
							$author_uri = 'https://www.happythemes.com/';
					?>

					&copy; <?php echo date("o"); ?> - <a href="<?php echo $theme_uri; ?>">fastvideo_pro Theme</a> by <a href="<?php echo $author_uri; ?>" target="_blank">HappyThemes</a>

				<?php } ?>

				</div><!-- .site-info -->

				<div class="footer-nav">
					<?php 
						if ( has_nav_menu( 'footer' ) ) {
							wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-menu', 'menu_class' => 'footer-nav' ) );
						}
					?>		
				</div><!-- .footer-nav -->

			</div><!-- .container -->	

		</div>
		<!-- #site-bottom -->
							
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php //if ( get_theme_mod('back-top-on', true) ) : ?>

	<div id="back-top">
		<a href="#top" title="<?php echo __('Back to top', 'fastvideo-pro'); ?>"><span class="genericon genericon-collapse"></span></a>
	</div>

<?php // endif; ?>


<?php wp_footer(); ?>

</body>
</html>
